Home » Blog » Tutorial Wordpress » Selalu upgrade Script Timthumb pada tema wordpress untuk menghindari Hacker!

Selalu upgrade Script Timthumb pada tema wordpress untuk menghindari Hacker!

(5057 Views) 1 July 2012 7:33 pm | Ditulis oleh | Comments Off on Selalu upgrade Script Timthumb pada tema wordpress untuk menghindari Hacker!

Jika theme blog anda menggunakan thumbnail yang menampilkan gambar-gambar di sidebar atau footer, itu artinya theme blog menggunakan timthumb.php. Sebaiknya core script yang ada di timthumb.php harus segera anda update. Mengapa ? Karena ada celah keamanan fatal yang bisa ditembus oleh hacker/defacer.Maka, selalu upgrade Script Timthumb pada tema wordpress untuk menghindari Hacker!

Beberapa saat yang lalu banyak blog berbasis WordPress kebobolan dan di-deface gara-gara celah keamanan di timthumb.php ini dieksploitasi oleh hacker. Dengan mengeksploitasi celah tersebut maka seorang hacker dapat menginjeksikan scriptnya untuk dapat mengambil alih blog orang lain.

Ada 2 cara untuk memperbaiki celah keamanan timthumb.php dan melindungi blog WordPress kita :

Cara pertama menggunakan plugin bernama Timthumb Vulnerability Scanner, download disini.
Apa yang dilakukan oleh plugin ini ?

Scans your wp-content directory for vulnerable instances of timthumb.php, and optionally upgrades them to a safe version.

Cukup menginstall plugin ini lalu scan apakah timthumb.php anda sudah ada di versi yang aman atau belum. Jika belum aman, ia akan segera mengupgradenya ke versi yang aman (versi 2 ke atas).

Setelah diupgrade, saya anjurkan anda untuk segera mendelete plugin Timthumb Vulnerability Scanner karena ia hanya berfungsi satu kali saja. Selebihnya tidak ada lagi. Karena itulah segera hapus saja setelah digunakan. Menyimpan terlalu banyak plugin hanya akan memberatkan database, boros di bandwidth dan memperlambat loading time blog anda.

Cara kedua: mengedit secara manual timthumb.php
Anda bisa mengeditnya langsung di dashboard admin via themes editor, bisa melalui control panel atau via FTP. Masuk ke directory theme blog anda, cari file timthumb.php. Ubah permissionnya ke 777 agar file tsb dapat diedit. Hapus semua yang ada di dalam file timthumb.php.

Sekarang buka laman ini : http://timthumb.googlecode.com/svn/trunk/timthumb.php dan kopikan semua isinya ke timthumb.php anda. Save lalu ubah kembali permission setting ke 644.

Sekarang timthumb.php di blog anda telah diupdate dan tidak ada lagi celah keamanan tersebut. Jika anda mempunyai blog lain dengan timthumb.php, lakukan hal yang sama. Mudah bukan ?

Semoga tips ini dapat bermanfaat bagi yang membacanya…

Artikel ini ditulis oleh Tri Yuli Kurniawan
Tentang

Nama saya Tri Yuli Kurniawan, admin Oketheme.com Oketheme.com adalah tempat dimana Anda bisa mendapatkan template premium Wordpress dengan harga yang terjangkau dengan kualitas terbaik!

Lebih detail tentang saya? Kenalan Yuk! Facebook | Twitter

Komentar dinonaktifkan: Selalu upgrade Script Timthumb pada tema wordpress untuk menghindari Hacker!

Maaf, form komentar dinonaktifkan untuk produk/artikel ini

+ SIDEBAR
Ada Pertanyaan? Hubungi kami!
Kami siap untuk membantu Anda dan menjawab pertanyaan Anda
Kontak Kami
Atau kirimkan tiket support disini
Let's Make your website awesome!
Make Your Site Even More Amazing, Beautiful & Cetar Membahana!
Koleksi Template
100% Satisfaction Guaranteed & Dijamin Keren!